class CLifeAnimation;

class CLifeScreen : public BWindowScreen
{
public:
						CLifeScreen( );
					
	virtual void		Quit( );
	virtual	void		ScreenConnected( bool inIsActive );
	
	static void			Initialize( );
	
private:
	sem_id				mDrawSem;
	sem_id				mRunningSem;
	sem_id				mAnimatorQuitSem;
	CLifeAnimation* 	mLifeAnimation;
	BView*				mKeyboardReader;
	static sem_id		sStartupSem; // XXX - DR8.x bug workaround
	graphics_card_info*	mCardInfo;
	frame_buffer_info*	mFrameBufferInfo;
	int					mCurrentFrame;
	
	static long			thread_entry( void* inData );
	void				ThreadEntry( );
	
	void				RenderCurrentFrame( );
	void				DisplayCurrentFrame( );
	void				ToggleCurrentFrame( );
};
