# define	LOOKBACK		(16)
# define	COLOR_MAP_SIZE	(5)

class CLifeAnimation
{
public:
					CLifeAnimation(
						long	inWidth,
						long	inHeight );
	virtual			~CLifeAnimation( );
	
	void			AdvanceOneFrame( );
	void			Reset( );
	
	void			RenderBitmap(
						uchar*	inBits,
						long	inBitsLength,
						long	inRowBytes,
						long	inBlockSize,
						unsigned long inColorMap[COLOR_MAP_SIZE] );
						
	// Public for speed testing only. Used internally.	
	void			WrapEdges( );

private:
	char			*mLifeBuffer[2];
	int				mCurrentBuffer;
	long			mBufferHeight;
	long			mBufferWidth;
	ulong			mFrameNumber;
	ulong			mLookbackBuffer[LOOKBACK];
};
